<?xml version="1.0" encoding="iso-8859-1" ?>
<!-- ToDo:  * add `voices of youth'
	    * make the page `cooler'
-->
<!DOCTYPE stylesheet [
  <!-- Change this if you adapt the file. -->
  <!ENTITY copyyears "2003">
  <!ENTITY copyname  "Christian Neukirchen">
  <!ENTITY copymail  "chneukirchen@yahoo.de">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html"
              encoding="iso-8859-1"
              doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
              doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>

  <xsl:template match="/blog">
    <html>
      <head>
        <title>
	  <xsl:value-of select="@name" />
        </title>
	<style type="text/css">
	  body    { background-color: white;
	            margin: 0px;
	            <!-- good? -->
	            font-size: small; }
	  a       { color: mediumblue; }
	  a:link  { font-weight: normal; }
	  a:hover { font-weight: bold; }
	  a.fixed { text-decoration: none; }
    <!--  hr      { height: 0px; border: 1px solid cornflowerblue; } -->
	  p.sep   { border-top: 1px solid cornflowerblue;
                    margin-top:    10px;
		    margin-bottom:  9px; }
	  table.entry {
		    margin: 0px;
	            margin-bottom: 2ex;
                    width: 100%; }
	  table.sidebarentry {
		    margin: 0px;
	            margin-bottom: 4ex;
                    width: 100%; }
	</style>
      </head>
      <body
        style="font-family: Verdana, Tahoma, Arial, Helvetica, sans-serif;">

	<a name="top" />
	<table style="width: 100%; background-color: cornflowerblue;">
          <tr>
            <td align="left" width="30%">
              <div style="font-size: 300%;
                          font-family: 'Courier New', monospace;
			  font-weight: 700%;">
<!--	        <span style="color: darkred;">&lt;</span>
                <span id="xmlblog" style="color: darkmagenta;"
		      onmouseover="document.getElementById('xmlblog').
                                   firstChild.nodeValue='welcome';"
	              onmouseout="document.getElementById('xmlblog').
                                   firstChild.nodeValue='XMLblog';"
                      >XMLblog</span>
	        <span style="color: black; font-weight: 1000%;">/</span>
	        <span style="color: darkred;">&gt;</span>
-->
	        <span style="color: white;">&lt;</span>
                <span id="xmlblog" style="color: yellow;"
		      onmouseover="document.getElementById('xmlblog').
                                   firstChild.nodeValue='welcome';"
	              onmouseout="document.getElementById('xmlblog').
                                   firstChild.nodeValue='XMLblog';"
                      >XMLblog</span>
	        <span style="color: darkblue;">/</span>
	        <span style="color: white;">&gt;</span>
              </div>
            </td>
            <td align="right" width="70%">            
	      <div style="font-size:large; letter-spacing: 2pt;
	                  text-align: center; width: 100%; ">
	        "<xsl:value-of select="@name" />"
                <br />by<br />
	        <a style="font-weight: normal;">
	          <xsl:attribute name="href">
	            <xsl:text>mailto:</xsl:text><xsl:value-of select="@mail" />
                  </xsl:attribute>
	          <xsl:value-of select="@author" />
	          &lt;<xsl:value-of select="@mail" />&gt;
                 </a>
	       </div>
	    </td>
          </tr>
        </table> 

	<p class="sep" />

        <table style="width: 100%">
	  <tr>
	    <td align="right" width="15%" valign="top">
	      Quick link by date:
	    </td>
	    <td>     
	      <xsl:for-each select="/blog/entry">
	        <a href="#entry{position()}" class="fixed">
<!--                  [<xsl:value-of select="@date" />] -->
                  <xsl:value-of select="@date" />
                </a>
	        <xsl:if test="not(position()=last())"> || </xsl:if>
	      </xsl:for-each>
            </td>
	  </tr>
	  <tr>
	    <td align="right" valign="top">
	      Headlines:
	    </td>
	    <td>
	      <xsl:for-each select="/blog/entry">
	        <a href="#entry{position()}" class="fixed"> 
<!--	          [<xsl:value-of select="@title" />]  -->
	          <xsl:value-of select="@title" />
                </a>
	        <xsl:if test="not(position()=last())"> || </xsl:if>
	      </xsl:for-each>
	    </td>
          </tr>
        </table>   
 	
	<p class="sep" />

        <table style="width: 100%">
	  <tr>
	    <td width="15%" align="right">
              Navigation bar:
	    </td>
	    <td width="29%" align="left">
	      <a href="#bottom" class="fixed">[Go to bottom &gt;&gt;]</a>
	    </td>
	    <td width="29%" align="center">
	      <a href="faq.html" class="fixed"
                 title="Go to the Frequently Asked Questions">
                [Go to the FAQ &gt;&gt;]</a>
	    </td>
	    <td width="29%" align="right">
	      <a href="archive.html" class="fixed" 
                 title="You can find older articles in the archive">
                [Go to the archive &gt;&gt;]</a>
	    </td>
	  </tr>
	</table>

	<p class="sep" />

	<table style="width: 100%">
	  <tr>
            <td width="20%" align="left" valign="top">
	        <xsl:apply-templates select="sidebar-entry" />
	    </td>
            <td width="80%" align="right" valign="top">
	        <xsl:apply-templates select="entry" />
            </td>
	  </tr>
        </table>

	<p class="sep" />

	<a name="bottom" />
        <table style="width: 100%">
	  <tr>
	    <td align="right" width="15%" valign="top">
	      Quick link by date:
	    </td>
	    <td>
	      <xsl:for-each select="/blog/entry">
	        <a href="#entry{position()}" class="fixed">
<!--              [<xsl:value-of select="@date" />]  -->
                  <xsl:value-of select="@date" />
                </a>
	        <xsl:if test="not(position()=last())"> || </xsl:if>
	      </xsl:for-each>
	    </td>
          </tr>
        </table>   

	<p class="sep" />

        <table style="width: 100%">
	  <tr>
	    <td width="15%" align="right">
              Navigation bar:
	    </td>
	    <td width="29%" align="left">
	      <a href="#top" class="fixed">[&lt;&lt; Go to top]</a>
	    </td>
	    <td width="29%" align="center">
	      <a href="faq.html" class="fixed"
                 title="Go to the Frequently Asked Questions">
                [&lt;&lt; Go to the FAQ]</a>
	    </td>
	    <td width="29%" align="right">
	      <a href="archive.html" class="fixed"
                 title="You can find older articles in the archive">
                [&lt;&lt; Go to the archive]</a>
	    </td>
	  </tr>
	</table>

	<p class="sep" />

	<table style="width: 100%; background-color: cornflowerblue">
	  <tr>
            <td align="left" width="30%">
              <div style="font-size: 300%;
                          font-family: 'Courier New', monospace;
		          font-weight: 700%;
		          text-align: center;">
	        <span style="color: white;">&lt;</span>
                <span id="xmlblog2" style="color: yellow;"
	              onmouseover="document.getElementById('xmlblog2').
                                   firstChild.nodeValue='see-you'; /*goodbye*/"
	              onmouseout="document.getElementById('xmlblog2').
                                  firstChild.nodeValue='XMLblog';"
                      >XMLblog</span>
	        <span style="color: darkblue;">/</span>
	        <span style="color: white;">&gt;</span>
              </div>
	    </td>
	    <td style="padding-left: 20px">
	      <span title="Copyleft">
                Copyright &#169; &copyyears; &copyname;
	        <a href="mailto:&copymail;" class="fixed">
                &lt;&copymail;&gt;</a>
	        <br />
	        Verbatim copying and distribution of this entire page is
                permitted in any medium, provided this notice is preserved.
              </span>
	    </td>
          </tr>
        </table>

      </body>
    </html>
  </xsl:template>

  <xsl:template match="/blog/entry">
    <table class="entry">
      <tr style="background-color: cornflowerblue">
        <td rowspan="3" valign="top" align="center" width="12%">
	  <div style="padding: 3px">
            <xsl:value-of select="@date" />
	  </div>
        </td>
        <td style="padding-left: 5px">
          <a name="entry{position()}" />
	  <table style="width: 100%;">
	    <tr>
              <td>
	        <b><xsl:value-of select="@title" /></b>
	      </td>
	      <td align="right">
		<a href="#entry{position()-1}" class="fixed">&lt; </a>
		<a href="#top"                 class="fixed">^ </a>
		<a href="#entry{position()+1}" class="fixed">&gt; </a>
	      </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr bgcolor="#EEEEEE">
        <td style="padding-left: 5px;
                   border: thin solid cornflowerblue"> 

          <xsl:apply-templates select="content"/>

	</td>
      </tr>

      <xsl:apply-templates select="attachments"/>
	  
    </table>
  </xsl:template>

  <xsl:template match="/blog/sidebar-entry">
    <table class="sidebarentry">
      <tr style="background-color: cornflowerblue">
        <td style="padding-left: 5px">
          <b><xsl:value-of select="@title" /></b>	
        </td>
      </tr>
      <tr bgcolor="#EEEEEE">
        <td style="padding-left: 5px; border: thin solid cornflowerblue"> 

          <xsl:apply-templates select="content"/>

	</td>
      </tr>

      <xsl:apply-templates select="attachments"/>
	  
    </table>
  </xsl:template>

  <xsl:template match="content">
    <xsl:apply-templates />
  </xsl:template>

  <xsl:template match="attachments">
    <tr>
      <td bgcolor="#DDDDDD" colspan="2" style="padding-left: 5px">
      
        <xsl:apply-templates />

      </td>
    </tr>
  </xsl:template>

  <xsl:template match="picture">
    Attachment [Image <xsl:value-of select="@src" />]:<br />
    <a>
      <xsl:attribute name="href">
        <xsl:text>data/</xsl:text><xsl:value-of select="@src" />
      </xsl:attribute>
      <img border="0">
        <xsl:attribute name="src">
          <xsl:text>data/pre_</xsl:text><xsl:value-of select="@src" />
        </xsl:attribute>
        <xsl:attribute name="alt"
            >[<xsl:value-of select="@desc" />]</xsl:attribute>
      </img>
      <br />
      Download "<xsl:value-of select="@desc" />"
    </a>
    <p />
  </xsl:template>

  <xsl:template match="file">
    Attachment [File <xsl:value-of select="@src" />]:<br />
    <a>
      <xsl:attribute name="href">
        <xsl:value-of select="@src" />        
      </xsl:attribute>
      Download "<xsl:value-of select="@desc" />"
    </a>
    <p />
  </xsl:template>

  <!-- Attached links -->
  <xsl:template match="attachments//link">
    Attachment [Link to <xsl:value-of select="@src" />]:<br />
    <a>
      <xsl:attribute name="href">
        <xsl:value-of select="@src" />        
      </xsl:attribute>
      Go to "<xsl:value-of select="@desc" />"
    </a>
    <p />
  </xsl:template>

  <!-- Inline links -->
  <xsl:template match="content//link">
    <a>
      <xsl:attribute name="href">
        <xsl:value-of select="@src" />        
      </xsl:attribute>
      <xsl:value-of select="@desc" />
    </a>
  </xsl:template>

  <xsl:template match="p">
    <p />
  </xsl:template>

  <xsl:template match="br">
    <br />
  </xsl:template>

  <xsl:template match="pre">
    <pre><xsl:apply-templates /></pre>
  </xsl:template>

  <xsl:template match="b">
    <b><xsl:apply-templates /></b>
  </xsl:template>

  <xsl:template match="i">
    <i><xsl:apply-templates /></i>
  </xsl:template>

  <xsl:template match="table">
    <table style="width: 100%"><xsl:apply-templates /></table>
  </xsl:template>

  <xsl:template match="tr">
    <tr><xsl:apply-templates /></tr>
  </xsl:template>

  <xsl:template match="td">
    <td align="left" valign="top"><xsl:apply-templates /></td>
  </xsl:template>

  <xsl:template match="list">
    <ul style="padding-left: 1em;"><xsl:apply-templates select="item" /></ul>
  </xsl:template>

  <xsl:template match="item">
    <li><xsl:apply-templates /></li>
  </xsl:template>

  
</xsl:stylesheet>